[中文]#
用途:#
参数:#
user_id: Instagram用户ID(数字,与username二选一)
username: Instagram用户名(与user_id二选一,传入后会自动转换为user_id)
返回:#
data.user.biography: 个人简介
data.user.external_url: 外部链接
data.user.profile_pic_url: 头像URL(标准)
data.user.profile_pic_url_hd: 头像URL(高清)
data.user.is_verified: 是否认证
data.user.is_private: 是否私密账号
data.user.edge_followed_by.count: 粉丝数
data.user.edge_follow.count: 关注数
data.user.edge_owner_to_timeline_media.count: 帖子总数
data.user.edge_felix_video_timeline.count: Reels/视频数
价格:#
[English]#
Purpose:#
Get complete Instagram user profile information
Including basic info, statistics, recent posts, etc.
Parameters:#
user_id: Instagram user ID (numeric, either user_id or username is required)
username: Instagram username (alternative to user_id, will be automatically converted to user_id)
Return:#
data.user.username: Username
data.user.full_name: Full name
data.user.biography: Biography
data.user.external_url: External URL
data.user.profile_pic_url: Profile picture URL (standard)
data.user.profile_pic_url_hd: Profile picture URL (HD)
data.user.is_verified: Whether verified
data.user.is_private: Whether private account
data.user.edge_followed_by.count: Followers count
data.user.edge_follow.count: Following count
data.user.edge_owner_to_timeline_media.count: Total posts count
data.user.edge_felix_video_timeline.count: Reels/videos count
Price:#
示例/Example#
Request
Provide your bearer token in the Authorization
header when making requests to protected resources. Example:Authorization: Bearer ********************
or
Request Code Samples
curl --location --request GET 'https://api.tikomni.com/api/u1/v1/instagram/v3/get_user_profile?user_id=58208242181&username=instagram' \
--header 'Authorization: Bearer <token>'
Modified at 2026-04-23 01:11:20